searchData={"content_type":"text/markdown","items":[{"doc":"The dynamic supervisor for the ClusterManager","ref":"DBCluster.ClusterManagerSupervisor.html","title":"DBCluster.ClusterManagerSupervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"DBCluster.ClusterManagerSupervisor.html#child_spec/1","title":"DBCluster.ClusterManagerSupervisor.child_spec/1","type":"function"},{"doc":"","ref":"DBCluster.ClusterManagerSupervisor.html#start_cluster_manager_supervisor_children/0","title":"DBCluster.ClusterManagerSupervisor.start_cluster_manager_supervisor_children/0","type":"function"},{"doc":"","ref":"DBCluster.ClusterManagerSupervisor.html#start_link/1","title":"DBCluster.ClusterManagerSupervisor.start_link/1","type":"function"},{"doc":"# Match\nA clustering method making use of a database to setup and update the cluster.","ref":"DBCluster.ClusterMember.html","title":"DBCluster.ClusterMember","type":"module"},{"doc":"* `:host` - The host name, e.g. \"server1.host.co.uk\"","ref":"DBCluster.ClusterMember.html#module-attributes","title":"Attributes - DBCluster.ClusterMember","type":"module"},{"doc":"Builds a changeset based on the `struct` and `params`.","ref":"DBCluster.ClusterMember.html#changeset/2","title":"DBCluster.ClusterMember.changeset/2","type":"function"},{"doc":"","ref":"DBCluster.ClusterMember.html#t:id/0","title":"DBCluster.ClusterMember.id/0","type":"type"},{"doc":"","ref":"DBCluster.ClusterMember.html#t:t/0","title":"DBCluster.ClusterMember.t/0","type":"type"},{"doc":"Library of cluster_member related functions.","ref":"DBCluster.ClusterMemberLib.html","title":"DBCluster.ClusterMemberLib","type":"module"},{"doc":"Returns an `%Ecto.Changeset{}` for tracking cluster_member changes.","ref":"DBCluster.ClusterMemberLib.html#change_cluster_member/2","title":"DBCluster.ClusterMemberLib.change_cluster_member/2","type":"function"},{"doc":"iex> change_cluster_member(cluster_member)\n    %Ecto.Changeset{data: %ClusterMember{}}","ref":"DBCluster.ClusterMemberLib.html#change_cluster_member/2-examples","title":"Examples - DBCluster.ClusterMemberLib.change_cluster_member/2","type":"function"},{"doc":"Creates a cluster_member.","ref":"DBCluster.ClusterMemberLib.html#create_cluster_member/1","title":"DBCluster.ClusterMemberLib.create_cluster_member/1","type":"function"},{"doc":"iex> create_cluster_member(%{field: value})\n    {:ok, %ClusterMember{}}\n\n    iex> create_cluster_member(%{field: bad_value})\n    {:error, %Ecto.Changeset{}}","ref":"DBCluster.ClusterMemberLib.html#create_cluster_member/1-examples","title":"Examples - DBCluster.ClusterMemberLib.create_cluster_member/1","type":"function"},{"doc":"Deletes a cluster_member.","ref":"DBCluster.ClusterMemberLib.html#delete_cluster_member/1","title":"DBCluster.ClusterMemberLib.delete_cluster_member/1","type":"function"},{"doc":"iex> delete_cluster_member(cluster_member)\n    {:ok, %ClusterMember{}}\n\n    iex> delete_cluster_member(cluster_member)\n    {:error, %Ecto.Changeset{}}","ref":"DBCluster.ClusterMemberLib.html#delete_cluster_member/1-examples","title":"Examples - DBCluster.ClusterMemberLib.delete_cluster_member/1","type":"function"},{"doc":"Gets a single cluster_member.\n\nReturns nil if the ClusterMember does not exist.","ref":"DBCluster.ClusterMemberLib.html#get_cluster_member/2","title":"DBCluster.ClusterMemberLib.get_cluster_member/2","type":"function"},{"doc":"iex> get_cluster_member(123)\n    %ClusterMember{}\n\n    iex> get_cluster_member(456)\n    nil","ref":"DBCluster.ClusterMemberLib.html#get_cluster_member/2-examples","title":"Examples - DBCluster.ClusterMemberLib.get_cluster_member/2","type":"function"},{"doc":"Gets a single cluster_member.\n\nRaises `Ecto.NoResultsError` if the ClusterMember does not exist.","ref":"DBCluster.ClusterMemberLib.html#get_cluster_member!/2","title":"DBCluster.ClusterMemberLib.get_cluster_member!/2","type":"function"},{"doc":"iex> get_cluster_member!(123)\n    %ClusterMember{}\n\n    iex> get_cluster_member!(456)\n    ** (Ecto.NoResultsError)","ref":"DBCluster.ClusterMemberLib.html#get_cluster_member!/2-examples","title":"Examples - DBCluster.ClusterMemberLib.get_cluster_member!/2","type":"function"},{"doc":"Returns the list of cluster_members.","ref":"DBCluster.ClusterMemberLib.html#list_cluster_members/1","title":"DBCluster.ClusterMemberLib.list_cluster_members/1","type":"function"},{"doc":"iex> list_cluster_members()\n    [%ClusterMember{}, ...]","ref":"DBCluster.ClusterMemberLib.html#list_cluster_members/1-examples","title":"Examples - DBCluster.ClusterMemberLib.list_cluster_members/1","type":"function"},{"doc":"Updates a cluster_member.","ref":"DBCluster.ClusterMemberLib.html#update_cluster_member/2","title":"DBCluster.ClusterMemberLib.update_cluster_member/2","type":"function"},{"doc":"iex> update_cluster_member(cluster_member, %{field: new_value})\n    {:ok, %ClusterMember{}}\n\n    iex> update_cluster_member(cluster_member, %{field: bad_value})\n    {:error, %Ecto.Changeset{}}","ref":"DBCluster.ClusterMemberLib.html#update_cluster_member/2-examples","title":"Examples - DBCluster.ClusterMemberLib.update_cluster_member/2","type":"function"},{"doc":"Migrations create and modify the database tables DBCluster needs to function.","ref":"DBCluster.Migration.html","title":"DBCluster.Migration","type":"behaviour"},{"doc":"To use migrations in your application you'll need to generate an `Ecto.Migration` that wraps\ncalls to `DBCluster.Migration`:\n\n```bash\nmix ecto.gen.migration add_db_cluster\n```\n\nOpen the generated migration in your editor and call the `up` and `down` functions on\n`DBCluster.Migration`:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddDBCluster do\n  use Ecto.Migration\n\n  def up, do: DBCluster.Migrations.up()\n\n  def down, do: DBCluster.Migrations.down()\nend\n```\n\nThis will run all of DBCluster's versioned migrations for your database.\n\nNow, run the migration to create the table:\n\n```bash\nmix ecto.migrate\n```\n\nMigrations between versions are idempotent. As new versions are released, you may need to run\nadditional migrations. To do this, generate a new migration:\n\n```bash\nmix ecto.gen.migration upgrade_DBCluster_to_v1\n```\n\nOpen the generated migration in your editor and call the `up` and `down` functions on\n`DBCluster.Migration`, passing a version number:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.UpgradeDBClusterToV1 do\n  use Ecto.Migration\n\n  def up, do: DBCluster.Migrations.up(version: 1)\n\n  def down, do: DBCluster.Migrations.down(version: 1)\nend\n```","ref":"DBCluster.Migration.html#module-usage","title":"Usage - DBCluster.Migration","type":"behaviour"},{"doc":"DBCluster supports namespacing through PostgreSQL schemas, also called \"prefixes\" in Ecto. With\nprefixes your jobs table can reside outside of your primary schema (usually public) and you can\nhave multiple separate job tables.\n\nTo use a prefix you first have to specify it within your migration:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddPrefixedDBClusterJobsTable do\n  use Ecto.Migration\n\n  def up, do: DBCluster.Migrations.up(prefix: \"private\")\n\n  def down, do: DBCluster.Migrations.down(prefix: \"private\")\nend\n```\n\nThe migration will create the \"private\" schema and all tables, functions and triggers within\nthat schema. With the database migrated you'll then specify the prefix in your configuration:\n\n```elixir\nconfig :my_app, DBCluster,\n  prefix: \"private\",\n  ...\n```\n\nIn some cases, for example if your \"private\" schema already exists and your database user in\nproduction doesn't have permissions to create a new schema, trying to create the schema from the\nmigration will result in an error. In such situations, it may be useful to inhibit the creation\nof the \"private\" schema:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddPrefixedDBClusterJobsTable do\n  use Ecto.Migration\n\n  def up, do: DBCluster.Migrations.up(prefix: \"private\", create_schema: false)\n\n  def down, do: DBCluster.Migrations.down(prefix: \"private\")\nend\n```","ref":"DBCluster.Migration.html#module-isolation-with-prefixes","title":"Isolation with Prefixes - DBCluster.Migration","type":"behaviour"},{"doc":"If your application uses something other than Ecto for migrations, be it an external system or\nanother ORM, it may be helpful to create plain SQL migrations for DBCluster database schema changes.\n\nThe simplest mechanism for obtaining the SQL changes is to create the migration locally and run\n`mix ecto.migrate --log-migrations-sql`. That will log all of the generated SQL, which you can\nthen paste into your migration system of choice.","ref":"DBCluster.Migration.html#module-migrating-without-ecto","title":"Migrating Without Ecto - DBCluster.Migration","type":"behaviour"},{"doc":"Run the `down` changes for all migrations between the current version and the initial version.","ref":"DBCluster.Migration.html#down/1","title":"DBCluster.Migration.down/1","type":"function"},{"doc":"Run all migrations from current version down to the first:\n\n    DBCluster.Migration.down()\n\nRun migrations down to and including a specified version:\n\n    DBCluster.Migration.down(version: 5)\n\nRun migrations in an alternate prefix:\n\n    DBCluster.Migration.down(prefix: \"game_server\")","ref":"DBCluster.Migration.html#down/1-example","title":"Example - DBCluster.Migration.down/1","type":"function"},{"doc":"Migrates storage down to the previous version.","ref":"DBCluster.Migration.html#c:down/1","title":"DBCluster.Migration.down/1","type":"callback"},{"doc":"Check the latest version the database is migrated to.","ref":"DBCluster.Migration.html#migrated_version/1","title":"DBCluster.Migration.migrated_version/1","type":"function"},{"doc":"DBCluster.Migration.migrated_version()","ref":"DBCluster.Migration.html#migrated_version/1-example","title":"Example - DBCluster.Migration.migrated_version/1","type":"function"},{"doc":"Identifies the last migrated version.","ref":"DBCluster.Migration.html#c:migrated_version/1","title":"DBCluster.Migration.migrated_version/1","type":"callback"},{"doc":"Run the `up` changes for all migrations between the initial version and the current version.","ref":"DBCluster.Migration.html#up/1","title":"DBCluster.Migration.up/1","type":"function"},{"doc":"Run all migrations up to the current version:\n\n    DBCluster.Migration.up()\n\nRun migrations up to a specified version:\n\n    DBCluster.Migration.up(version: 2)\n\nRun migrations in an alternate prefix:\n\n    DBCluster.Migration.up(prefix: \"game_server\")\n\nRun migrations in an alternate prefix but don't try to create the schema:\n\n    DBCluster.Migration.up(prefix: \"game_server\", create_schema: false)","ref":"DBCluster.Migration.html#up/1-example","title":"Example - DBCluster.Migration.up/1","type":"function"},{"doc":"Migrates storage up to the latest version.","ref":"DBCluster.Migration.html#c:up/1","title":"DBCluster.Migration.up/1","type":"callback"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}